img {
  max-width: 100%;
}
hr {
  border: none;
  height: 1px;
  background: var(--border-color);
  margin: calc(var(--spacing-base) * 2) auto;
}

nav {
  font-family: Share, sans-serif;
  .active {
    --link-color: var(--link-active-color);
  }
  .active a {
    text-decoration: underline;
    text-underline-offset: 0.2em;
  }
}

// @todo Tell hugo to render the TOC with a class (!) fitting into the naming convention
#TableOfContents {
  font-size: var(--smaller-font-size);
  margin: var(--spacing-base) auto;
  a {
    text-decoration: underline;
  }
  > ul {
    padding: 1em;
    border: 1px solid var(--border-color);
  }
  ul {
    list-style: none;
    margin: 0;
    li {
      margin: 0;
      padding: 0;
      ul {
        margin-left: 1em;
      }
    }
  }
}

ul.contact-persons {
  li {
    display: inline-block;
    white-space: nowrap;
    &:not(:last-child):after {
      content: ' | ';
    }
  }
}

table {
  overflow-x: auto;
  width: 100%;

  tr * {
    text-align: left;
  }
  tr td:first-child {
    white-space: nowrap;
  }
  tr td,
  tr th {
    padding: calc(var(--spacing-base) / 2);
  }
  th {
    font-weight: bold;
    background: var(--table-header-background);
  }
  tr:nth-child(even) td {
    background: var(--table-row-contrast-background);
  }
}

.splash {
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  min-height: unquote("max(60vh,45rem)"); // prevent libsass from treating 'max' as a function call
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  text-align: center;

  .content {
    padding: calc(var(--spacing-base) * 1.5) var(--content-side-margin);
    font-size: var(--splash-font-size);
    font-weight: bold;
    line-height: 1.2;
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.45);
    background: rgba(255, 255, 255, 0.3);
    .title {
      color: var(--highlight-color);
    }
  }
}

.panel {
  background: var(--promoted-content-background);
  margin-bottom: calc(var(--spacing-base) * 2);
  h2 {
    margin-top: 0;
  }
  .content {
    margin: auto;
    padding: calc(var(--spacing-base) * 1.5) var(--content-side-margin);
    max-width: calc(var(--readable-content-width) + var(--content-side-margin) * 2);

    @media #{$breakpoint-medium} {
      text-align: center;
    }
  }
}

.newsy-block {
  margin-bottom: calc(1em + var(--spacing-base) * 2);
}

.sponsor-tile {
  font-size: var(--sponsor-tile-size);

  border: 1px solid var(--border-color);
  padding: 0.08em;
  margin: 0 0.08em 0.08em 0;
  aspect-ratio: 1;
  display: inline-flex;
  width: 1em;
}
